##### 7.5.6.0. BFBoundsBudur

Procedure from library `dmodideal.lib` (see dmodideal_lib).

Usage:
  BFBoundsBudur(F,m); F an ideal, m an intvec

Return:
  ring

Assume:
  basering is a commutative polynomial ring in characteristic 0

Purpose:
  determine upper and lower bounds of the Bernstein-Sato ideal associated to m with the method of (Bud12)

Note:
  The returned ring contains lists Bj, containing the Bernstein-Sato ideals associated to e_j,
  shiftedIdeals, containing the shifted ideals from (Bud12) 4.7, and ideals upperBound, lowerBound which give upper bound and lower bound for the Bernstein-Sato-Ideal associated to m respectively.

Example:

    LIB "dmodideal.lib";
    ring r = 0,(x,y,z),dp;
    setring r;
    ideal F = x*z,2*x^2*y^2*z+x^4+y^4;
    def A = BFBoundsBudur(F,intvec(1,1));
    setring A;
    lead(upperBound);
    ==> _[1]=2*s(1)^8*s(2)^2
    ==> _[2]=s(1)^9*s(2)
    lead(lowerBound);
    ==> _[1]=s(1)^11*s(2)
    ==> _[2]=2*s(1)^10*s(2)^2
    ==> _[3]=2*s(1)^10*s(2)^2
    ==> _[4]=4*s(1)^9*s(2)^3

User manual for Singular version 4.4.1, 2025, generated by texi2html.